summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild')
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index 4a529a483..0e760a4b4 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-thunderbird
VERSION=$(basename $(ls thunderbird-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev) .source)
RELEASEVER=$(echo $VERSION | cut -f 1 -d e | cut -f 1 -d b)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Specify this variable for a localized build.
# For example, to build a version of Thunderbird with Italian support, run
@@ -169,12 +169,12 @@ rm -rf obj-x86_64-pc-linux-gnu
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
-# Fix building with latest Rust:
-zcat $CWD/unbreakdocs.diff.gz | patch -p1 --verbose || exit 1
-
# Bypass a test that fails the build:
zcat $CWD/gkrust.a.no.networking.check.diff.gz | patch -p1 --verbose || exit 1
+# Fix building with rust-1.50.0:
+zcat $CWD/0041-bmo-1684261-Fix-build-with-rust-1.50.0.patch.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"